- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QDateTimeEdit Class Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qdatetimeedit.h.

`#include <qdatetimeedit.h>`

Inheritance diagram for QDateTimeEdit:
[legend]

List of all members.

## Public Types
enum | Section { NoSection = 0x0000, AmPmSection = 0x0001, MSecSection = 0x0002, SecondSection = 0x0004, MinuteSection = 0x0008, HourSection = 0x0010, DaySection = 0x0100, MonthSection = 0x0200, YearSection = 0x0400, TimeSections_Mask = AmPmSection|MSecSection|SecondSection|MinuteSection|HourSection, DateSections_Mask = DaySection|MonthSection|YearSection }
## Public Slots
void | setDateTime (const QDateTime &dateTime)
void | setDate (const QDate &date)
void | setTime (const QTime &time)
## Signals
void | dateTimeChanged (const QDateTime &date)
void | timeChanged (const QTime &date)
void | dateChanged (const QDate &date)
## Public Member Functions
| QDateTimeEdit (QWidget *parent=0)
| QDateTimeEdit (const QDateTime &dt, QWidget *parent=0)
| QDateTimeEdit (const QDate &d, QWidget *parent=0)
| QDateTimeEdit (const QTime &t, QWidget *parent=0)
QDateTime | dateTime () const
QDate | date () const
QTime | time () const
QDateTime | minimumDateTime () const
void | clearMinimumDateTime ()
void | setMinimumDateTime (const QDateTime &dt)
QDateTime | maximumDateTime () const
void | clearMaximumDateTime ()
void | setMaximumDateTime (const QDateTime &dt)
void | setDateTimeRange (const QDateTime &min, const QDateTime &max)
QDate | minimumDate () const
void | setMinimumDate (const QDate &min)
void | clearMinimumDate ()
QDate | maximumDate () const
void | setMaximumDate (const QDate &max)
void | clearMaximumDate ()
void | setDateRange (const QDate &min, const QDate &max)
QTime | minimumTime () const
void | setMinimumTime (const QTime &min)
void | clearMinimumTime ()
QTime | maximumTime () const
void | setMaximumTime (const QTime &max)
void | clearMaximumTime ()
void | setTimeRange (const QTime &min, const QTime &max)
Sections | displayedSections () const
Section | currentSection () const
Section | sectionAt (int index) const
void | setCurrentSection (Section section)
int | currentSectionIndex () const
void | setCurrentSectionIndex (int index)
QCalendarWidget * | calendarWidget () const
void | setCalendarWidget (QCalendarWidget *calendarWidget)
int | sectionCount () const
void | setSelectedSection (Section section)
QString | sectionText (Section section) const
QString | displayFormat () const
void | setDisplayFormat (const QString &format)
bool | calendarPopup () const
void | setCalendarPopup (bool enable)
Qt::TimeSpec | timeSpec () const
void | setTimeSpec (Qt::TimeSpec spec)
QSize | sizeHint () const
virtual void | clear ()
virtual void | stepBy (int steps)
bool | event (QEvent *event)
## Protected Member Functions
virtual void | keyPressEvent (QKeyEvent *event)
virtual void | wheelEvent (QWheelEvent *event)
virtual void | focusInEvent (QFocusEvent *event)
virtual bool | focusNextPrevChild (bool next)
virtual QValidator::State | validate (QString &input, int &pos) const
virtual void | fixup (QString &input) const
virtual QDateTime | dateTimeFromText (const QString &text) const
virtual QString | textFromDateTime (const QDateTime &dt) const
virtual StepEnabled | stepEnabled () const
virtual void | mousePressEvent (QMouseEvent *event)
virtual void | paintEvent (QPaintEvent *event)
void | initStyleOption (QStyleOptionSpinBox *option) const
| QDateTimeEdit (const QVariant &val, QVariant::Type parserType, QWidget *parent=0)
## Properties
QDateTime | dateTime
QDate | date
QTime | time
QDateTime | maximumDateTime
QDateTime | minimumDateTime
QDate | maximumDate
QDate | minimumDate
QTime | maximumTime
QTime | minimumTime
Section | currentSection
Sections | displayedSections
QString | displayFormat
bool | calendarPopup
int | currentSectionIndex
int | sectionCount
Qt::TimeSpec | timeSpec

## Member Enumeration Documentation

enum Section

Search for all occurrences

Enumerator:

  NoSection | Search for all occurrences
  AmPmSection | Search for all occurrences
  MSecSection | Search for all occurrences
  SecondSection | Search for all occurrences
  MinuteSection | Search for all occurrences
  HourSection | Search for all occurrences
  DaySection | Search for all occurrences
  MonthSection | Search for all occurrences
  YearSection | Search for all occurrences
  TimeSections_Mask | Search for all occurrences
  DateSections_Mask | Search for all occurrences

Definition at line 84 of file qdatetimeedit.h.

                     {
            NoSection = 0x0000,
            AmPmSection = 0x0001,
            MSecSection = 0x0002,
            SecondSection = 0x0004,
            MinuteSection = 0x0008,
            HourSection   = 0x0010,
            DaySection    = 0x0100,
            MonthSection  = 0x0200,
            YearSection   = 0x0400,
            TimeSections_Mask = AmPmSection|MSecSection|SecondSection|MinuteSection|HourSection,
            DateSections_Mask = DaySection|MonthSection|YearSection
        };

## Constructor & Destructor Documentation

QDateTimeEdit | ( | QWidget * | parent = `0` | ) | `[explicit]`

QDateTimeEdit | ( | const QDateTime & | dt,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

QDateTimeEdit | ( | const QDate & | d,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

QDateTimeEdit | ( | const QTime & | t,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

QDateTimeEdit | ( | const QVariant & | val,
|  | QVariant::Type | parserType,
|  | QWidget * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

QDateTime dateTime | ( |  | ) | const

Search for all occurrences

QDate date | ( |  | ) | const

Search for all occurrences

QTime time | ( |  | ) | const

Search for all occurrences

QDateTime minimumDateTime | ( |  | ) | const

Search for all occurrences

void clearMinimumDateTime | ( |  | ) |

Search for all occurrences

void setMinimumDateTime | ( | const QDateTime & | dt | ) |

Search for all occurrences

QDateTime maximumDateTime | ( |  | ) | const

Search for all occurrences

void clearMaximumDateTime | ( |  | ) |

Search for all occurrences

void setMaximumDateTime | ( | const QDateTime & | dt | ) |

Search for all occurrences

void setDateTimeRange | ( | const QDateTime & | min,
|  | const QDateTime & | max
| ) |  |

Search for all occurrences

QDate minimumDate | ( |  | ) | const

Search for all occurrences

void setMinimumDate | ( | const QDate & | min | ) |

Search for all occurrences

void clearMinimumDate | ( |  | ) |

Search for all occurrences

QDate maximumDate | ( |  | ) | const

Search for all occurrences

void setMaximumDate | ( | const QDate & | max | ) |

Search for all occurrences

void clearMaximumDate | ( |  | ) |

Search for all occurrences

void setDateRange | ( | const QDate & | min,
|  | const QDate & | max
| ) |  |

Search for all occurrences

QTime minimumTime | ( |  | ) | const

Search for all occurrences

void setMinimumTime | ( | const QTime & | min | ) |

Search for all occurrences

void clearMinimumTime | ( |  | ) |

Search for all occurrences

QTime maximumTime | ( |  | ) | const

Search for all occurrences

void setMaximumTime | ( | const QTime & | max | ) |

Search for all occurrences

void clearMaximumTime | ( |  | ) |

Search for all occurrences

void setTimeRange | ( | const QTime & | min,
|  | const QTime & | max
| ) |  |

Search for all occurrences

Sections displayedSections | ( |  | ) | const

Search for all occurrences

Section currentSection | ( |  | ) | const

Search for all occurrences

Section sectionAt | ( | int | index | ) | const

Search for all occurrences

void setCurrentSection | ( | Section | section | ) |

Search for all occurrences

int currentSectionIndex | ( |  | ) | const

Search for all occurrences

void setCurrentSectionIndex | ( | int | index | ) |

Search for all occurrences

QCalendarWidget* calendarWidget | ( |  | ) | const

Search for all occurrences

void setCalendarWidget | ( | QCalendarWidget * | calendarWidget | ) |

Search for all occurrences

int sectionCount | ( |  | ) | const

Search for all occurrences

void setSelectedSection | ( | Section | section | ) |

Search for all occurrences

QString sectionText | ( | Section | section | ) | const

Search for all occurrences

QString displayFormat | ( |  | ) | const

Search for all occurrences

void setDisplayFormat | ( | const QString & | format | ) |

Search for all occurrences

bool calendarPopup | ( |  | ) | const

Search for all occurrences

void setCalendarPopup | ( | bool | enable | ) |

Search for all occurrences

Qt::TimeSpec timeSpec | ( |  | ) | const

Search for all occurrences

void setTimeSpec | ( | Qt::TimeSpec | spec | ) |

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

virtual void clear | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

virtual void stepBy | ( | int | steps | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

bool event | ( | QEvent * | event | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

void dateTimeChanged | ( | const QDateTime & | date | ) | `[signal]`

Search for all occurrences

void timeChanged | ( | const QTime & | date | ) | `[signal]`

Search for all occurrences

void dateChanged | ( | const QDate & | date | ) | `[signal]`

Search for all occurrences

void setDateTime | ( | const QDateTime & | dateTime | ) | `[slot]`

Search for all occurrences

void setDate | ( | const QDate & | date | ) | `[slot]`

Search for all occurrences

void setTime | ( | const QTime & | time | ) | `[slot]`

Search for all occurrences

virtual void keyPressEvent | ( | QKeyEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

virtual void wheelEvent | ( | QWheelEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

virtual void focusInEvent | ( | QFocusEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

virtual bool focusNextPrevChild | ( | bool | next | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual QValidator::State validate | ( | QString & | input,
|  | int & | pos
| ) |  | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

virtual void fixup | ( | QString & | input | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

virtual QDateTime dateTimeFromText | ( | const QString & | text | ) | const `[protected, virtual]`

Search for all occurrences

virtual QString textFromDateTime | ( | const QDateTime & | dt | ) | const `[protected, virtual]`

Search for all occurrences

virtual StepEnabled stepEnabled | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

virtual void mousePressEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

virtual void paintEvent | ( | QPaintEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

void initStyleOption | ( | QStyleOptionSpinBox * | option | ) | const `[protected]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

## Property Documentation

QDateTime dateTime `[read, write]`

Search for all occurrences

Definition at line 67 of file qdatetimeedit.h.

QDate date `[read, write]`

Search for all occurrences

Definition at line 68 of file qdatetimeedit.h.

QTime time `[read, write]`

Search for all occurrences

Definition at line 69 of file qdatetimeedit.h.

QDateTime maximumDateTime `[read, write]`

Search for all occurrences

Definition at line 70 of file qdatetimeedit.h.

QDateTime minimumDateTime `[read, write]`

Search for all occurrences

Definition at line 71 of file qdatetimeedit.h.

QDate maximumDate `[read, write]`

Search for all occurrences

Definition at line 72 of file qdatetimeedit.h.

QDate minimumDate `[read, write]`

Search for all occurrences

Definition at line 73 of file qdatetimeedit.h.

QTime maximumTime `[read, write]`

Search for all occurrences

Definition at line 74 of file qdatetimeedit.h.

QTime minimumTime `[read, write]`

Search for all occurrences

Definition at line 75 of file qdatetimeedit.h.

Section currentSection `[read, write]`

Search for all occurrences

Definition at line 76 of file qdatetimeedit.h.

Sections displayedSections `[read]`

Search for all occurrences

Definition at line 77 of file qdatetimeedit.h.

QString displayFormat `[read, write]`

Search for all occurrences

Definition at line 78 of file qdatetimeedit.h.

bool calendarPopup `[read, write]`

Search for all occurrences

Definition at line 79 of file qdatetimeedit.h.

int currentSectionIndex `[read, write]`

Search for all occurrences

Definition at line 80 of file qdatetimeedit.h.

int sectionCount `[read]`

Search for all occurrences

Definition at line 81 of file qdatetimeedit.h.

Qt::TimeSpec timeSpec `[read, write]`

Search for all occurrences

Definition at line 82 of file qdatetimeedit.h.

The documentation for this class was generated from the following file:

- QtGui/qdatetimeedit.h

QDateTimeEdit QDateTimeEdit QDateTimeEdit QDateTimeEdit QDateTimeEdit QDateTimeEdit QDateTimeEdit QDateTimeEdit QDateTimeEdit QDateTimeEdit
QDateTimeEdit QDateTimeEdit QDateTimeEdit QDateTimeEdit QDateTimeEdit QDateTimeEdit QDateTimeEdit QDateTimeEdit QDateTimeEdit QDateTimeEdit